;InnoSetupVersion=4.0.5

[Setup]
AppName=FlashPeak BlazeFtp
AppVerName=FlashPeak BlazeFtp 2.0
AppId=FlashPeak BlazeFtp
AppPublisher=FlashPeak, Inc
AppPublisherURL=http://www.flashpeak.com
AppSupportURL=http://www.flashpeak.com
AppUpdatesURL=http://www.flashpeak.com
DefaultDirName={pf}\BlazeFtp
DefaultGroupName=FlashPeak BlazeFtp
OutputBaseFilename=BlazeFtp
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\BlazeFtp.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\BlazeFtp.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\donatedlg.htm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\images\Donation_Off.gif"; DestDir: "{app}\images"; Flags: ignoreversion 
Source: "{app}\images\Donation_On.gif"; DestDir: "{app}\images"; Flags: ignoreversion 
Source: "{app}\images\wizard.gif"; DestDir: "{app}\images"; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\FlashPeak\BlazeFtp"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletevalue uninsdeletekeyifempty 

[INI]
FileName: "{app}\BlazeFtp.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.flashpeak.com"; 
FileName: "{app}\forum.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.flashpeak.com/forum.htm"; 

[Run]
Filename: "{app}\BlazeFtp.exe"; Description: "Launch FlashPeak BlazeFtp"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\FlashPeak BlazeFtp"; Filename: "{app}\BlazeFtp.exe"; 
Name: "{group}\BlazeFtp Homepage"; Filename: "{app}\BlazeFtp.url"; 
Name: "{group}\Uninstall BlazeFtp"; Filename: "{app}\{uninstallexe}"; 
Name: "{group}\FlashPeak Online Forum"; Filename: "{app}\forum.url"; 
Name: "{userdesktop}\FlashPeak BlazeFtp"; Filename: "{app}\BlazeFtp.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\FlashPeak BlazeFtp"; Filename: "{app}\BlazeFtp.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\BlazeFtp.url"; 
Type: files; Name: "{app}\forum.url"; 
Type: filesandordirs; Name: "{app}"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
